itemUsed = true; mainSkill = sword_lvl;
var firstHit; var rand = Math.floor(Math.random()*5); var maxDamage = 32;
var itemID = 283; var breakSpeech = "That was expensive and useless"; var repair = 4;
var power = Math.sqrt(sword_lvl*8); var basicDMG = 4;

swordEngine(firstHit,rand,max_damage,citemID,breakSpeech,repair,power,basicDMG);
if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem();}}

var damageGet = 1; var power = 4+Math.sqrt(sword_lvl*7); var tool = [85, 26, 22, 15, 6, 20, 6];

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}